ChartDirector Ver 5.0 (PHP Edition)

DrawArea.cylinder

Usage

cylinder(cx, cy, rx, ry, a1, a2, depthX, depthY, edgeColor, fillColor)

Description

Draws a cylinder surface as the area spanned by moving an arc.

Arguments

Argument | Default | Description
--- | --- | ---
cx | (Mandatory) | The x coordinate of the center of the circle or ellipse for the arc.
cy | (Mandatory) | The y coordinate of the center of the circle or ellipse for the arc.
rx | (Mandatory) | The horizontal radius of the circle or ellipse.
ry | (Mandatory) | The vertical radius of the circle or ellipse.
a1 | (Mandatory) | The start angle of the arc. The angle is measured clockwise, with 0 degree being the upward pointing direction.
a2 | (Mandatory) | The end angle of the arc. The angle is measured clockwise, with 0 degree being the upward pointing direction.
depthX | (Mandatory) | The x displacement representing the motion of the arc to span the cylinder.
depthY | (Mandatory) | The y displacement representing the motion of the arc to span the cylinder.
edgeColor | (Mandatory) | The border color. To disable border, set the edgeColor the same as the fillColor.
fillColor | (Mandatory) | The fill color. To disable filling, set the fillColor to Transparent.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.